FROM python:3.13
WORKDIR /www
COPY requirements.txt requirements.txt
RUN pip install --no-cache-dir --upgrade -r requirements.txt
COPY app api
CMD ["uvicorn", "api.main:app", "--host", "0.0.0.0", "--port", "4321", "--reload"]